createrepo_c library 1.2.1 C library for metadata manipulation

Data Fields
cr_UpdateRecord Struct Reference
Updateinfo API.

## Data Fields
gchar * | from
gchar * | status
gchar * | type
gchar * | version
gchar * | id
gchar * | title
gchar * | issued_date
gchar * | updated_date
gchar * | rights
gchar * | release
gchar * | pushcount
gchar * | severity
gchar * | summary
gchar * | description
gchar * | solution
gboolean | reboot_suggested
GSList * | references
GSList * | collections
GStringChunk * | chunk

## Detailed Description

Definition at line 81 of file updateinfo.h.

## Field Documentation

## ◆ chunk

GStringChunk* chunk

String chunk

Definition at line 102 of file updateinfo.h.

## ◆ collections

GSList* collections

List of cr_UpdateCollection

Definition at line 100 of file updateinfo.h.

## ◆ description

gchar* description

Update description

Definition at line 95 of file updateinfo.h.

## ◆ from

gchar* from

Source of the update (e.g. secur.nosp@m.ity@.nosp@m.redha.nosp@m.t.co.nosp@m.m)

Definition at line 82 of file updateinfo.h.

## ◆ id

gchar* id

Update id (short update name, e.g. RHEA-2013:1777)

Definition at line 86 of file updateinfo.h.

## ◆ issued_date

gchar* issued_date

Date string (e.g. "2013-12-02 00:00:00")

Definition at line 88 of file updateinfo.h.

## ◆ pushcount

gchar* pushcount

Push count

Definition at line 92 of file updateinfo.h.

## ◆ reboot_suggested

gboolean reboot_suggested

Reboot suggested

Definition at line 97 of file updateinfo.h.

## ◆ references

GSList* references

List of cr_UpdateReference

Definition at line 99 of file updateinfo.h.

## ◆ release

gchar* release

Release

Definition at line 91 of file updateinfo.h.

## ◆ rights

gchar* rights

Copyright

Definition at line 90 of file updateinfo.h.

## ◆ severity

gchar* severity

Severity

Definition at line 93 of file updateinfo.h.

## ◆ solution

gchar* solution

Solution

Definition at line 96 of file updateinfo.h.

## ◆ status

gchar* status

Update status ("final", ...)

Definition at line 83 of file updateinfo.h.

## ◆ summary

gchar* summary

Short summary

Definition at line 94 of file updateinfo.h.

## ◆ title

gchar* title

Update name

Definition at line 87 of file updateinfo.h.

## ◆ type

gchar* type

Update type ("enhancement", "bugfix", ...)

Definition at line 84 of file updateinfo.h.

## ◆ updated_date

gchar* updated_date

Date string

Definition at line 89 of file updateinfo.h.

## ◆ version

gchar* version

Update version (probably always an integer number)

Definition at line 85 of file updateinfo.h.

The documentation for this struct was generated from the following file:

- E:/rpmbuild/BUILD/createrepo_c-os2-1.2.1-os2/src/updateinfo.h